# QUndoCommand Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QUndoCommand(QUndoCommand parent)
- void QUndoCommand(String text, QUndoCommand parent)

### Constructor Properties

- prototype: The QUndoCommand prototype object

### Prototype Object Properties

- String actionText()
- QUndoCommand child(int index)
- int childCount()
- int id()
- bool mergeWith(QUndoCommand other)
- void redo()
- void setText(String text)
- String text()
- void undo()

### Instance Properties

QUndoCommand objects have no special properties beyond those inherited from the QUndoCommand prototype object.